## ros-melodic-laser-scan-matcher 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(laser_scan_matcher)

# List C++ dependencies on ros packages
set( ROS_CXX_DEPENDENCIES
  roscpp
  nodelet
  sensor_msgs
  tf
  pcl_ros
  pcl_conversions
  geometry_msgs
  nav_msgs)

# Find catkin and all required ROS components
find_package(catkin REQUIRED COMPONENTS ${ROS_CXX_DEPENDENCIES} rostest)
find_package(PCL REQUIRED QUIET)

# Find csm project
find_package(PkgConfig)
pkg_check_modules(csm REQUIRED csm)

# Set include directories
include_directories(include ${catkin_INCLUDE_DIRS} ${csm_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS})
link_directories(${csm_LIBRARY_DIRS})

# Declare info that other packages need to import library generated here
catkin_package(
    INCLUDE_DIRS include
    LIBRARIES laser_scan_matcher
    CATKIN_DEPENDS ${ROS_CXX_DEPENDENCIES}
)

#Create library
add_library(laser_scan_matcher src/laser_scan_matcher.cpp)

#Note we don't link against pcl as we're using header-only parts of the library
target_link_libraries( laser_scan_matcher ${catkin_LIBRARIES} ${csm_LIBRARIES})
add_dependencies(laser_scan_matcher ${csm_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

#Create nodelet
add_library(laser_scan_matcher_nodelet src/laser_scan_matcher_nodelet.cpp)
target_link_libraries(laser_scan_matcher_nodelet laser_scan_matcher)

#Create node
add_executable(laser_scan_matcher_node src/laser_scan_matcher_node.cpp)
target_link_libraries( laser_scan_matcher_node laser_scan_matcher )

#Install library
install(TARGETS laser_scan_matcher laser_scan_matcher_nodelet
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

#Install library includes
install(DIRECTORY include/laser_scan_matcher/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION} )

#Install node
install(TARGETS laser_scan_matcher_node
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

#Install nodelet description
install(FILES laser_scan_matcher_nodelet.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} )

#Install demo files
install(DIRECTORY demo
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} )

add_rostest(test/run.test)
add_rostest(test/covariance.test)

=== debian/changelog ===
ros-melodic-laser-scan-matcher (0.3.3-2bionic) bionic; urgency=high

  * update to use non deprecated pluginlib macro

 -- Carlos <cjaramillo@gc.cuny.edu>  Mon, 15 Feb 2021 05:00:00 -0000

ros-melodic-laser-scan-matcher (0.3.2-2bionic) bionic; urgency=high

  * [feat] Publish Poses with Covariance (#44 <https://github.com/ccny-ros-pkg/scan_tools/pull/44>)
  * [sys] Remove csm cmake macro; csm is now built upstream since (#31 <https://github.com/ccny-ros-pkg/scan_tools/pull/45>)
  * Contributors: Eric Tappan, Isaac I.Y. Saito

 -- Carlos <cjaramillo@gc.cuny.edu>  Sat, 19 Mar 2016 04:00:00 -0000

ros-melodic-laser-scan-matcher (0.3.1-2bionic) bionic; urgency=high

  * [sys] Remove obsolete dependency. Alphabetize.
  * Contributors: Isaac I.Y. Saito

 -- Carlos <cjaramillo@gc.cuny.edu>  Fri, 18 Dec 2015 05:00:00 -0000

ros-melodic-laser-scan-matcher (0.3.0-2bionic) bionic; urgency=high

  * [feat] Allow choosing between geometry_msgs/Twist and geometry_msgs/TwistStamped (fix #21 <https://github.com/ccny-ros-pkg/scan_tools/issues/21>)
  * [sys][laser_scan_matcher] Depends on DEB version of CSM; it is no longer built upon compile time
  * [sys][laser_scan_matcher] Add simplest unit test
  * [feat][laser_scan_matcher, demo.launch] Arg for whether to use RViz or not
  * Contributors: Kei Okada, Jorge Santos Simón, Isaac I.Y. Saito

 -- Carlos <cjaramillo@gc.cuny.edu>  Tue, 10 Nov 2015 05:00:00 -0000

ros-melodic-laser-scan-matcher (0.2.1-2bionic) bionic; urgency=high

  * [feat] Update gmapping demo as well.
  * [feat] removed vgf filter, added xy filtering. added vgf on point cloud input for scan_matcher, vgf on point cloud input for scan_matcher
  * [feat] removing pose2dstamped message type, now using posestamped
  * [fix] PCL dependency Hydro onward
  * [fix] rotation update check
  * [fix] possible memory leak introduced by keyframe feature
  * [doc] replaces tabs and fixes imu <-> odom topic comment
  * [sys] cleaning
  * [sys] Replace demo.vcg with a demo.rviz
  * [sys] Small tweaks to CMakeLists.txt and package.xml files
  * [sys] Catkinization: laser_scan_matcher (csm integrated as external project
  * [sys] laser_scan_matcher: Remove CSM search in CMakeLists.txt
    Since the csm package exports the CFLAGS and LFLAGS, we do not need to
    explicitly search for the paths.
  * [sys] launch files use rosbag api for fuerte
  * [sys] imu topic renamed to imu/data
  * Contributors: Daniel Axtens, Ivan Dryanovski, Kartik Mohta, Miguel Sarabia, Stephan Wirth, Enrique Fernández Perdomo

 -- Carlos <cjaramillo@gc.cuny.edu>  Wed, 14 Oct 2015 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-laser-scan-matcher
Section: misc
Priority: optional
Maintainer: Carlos <cjaramillo@gc.cuny.edu>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, ros-melodic-catkin, ros-melodic-csm, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf
Homepage: http://wiki.ros.org/laser_scan_matcher
Standards-Version: 3.9.2

Package: ros-melodic-laser-scan-matcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-apps1.8, libpcl-common1.8, libpcl-features1.8, libpcl-filters1.8, libpcl-io1.8, libpcl-kdtree1.8, libpcl-keypoints1.8, libpcl-ml1.8, libpcl-octree1.8, libpcl-outofcore1.8, libpcl-people1.8, libpcl-recognition1.8, libpcl-registration1.8, libpcl-sample-consensus1.8, libpcl-search1.8, libpcl-segmentation1.8, libpcl-stereo1.8, libpcl-surface1.8, libpcl-tracking1.8, libpcl-visualization1.8, ros-melodic-csm, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf
Description: An incremental laser scan matcher, using Andrea Censi's Canonical Scan Matcher (CSM) implementation.
 See the web site for more about CSM. NOTE the CSM library is licensed under the GNU Lesser General Public License v3, whereas the rest of the code is released under the BSD license.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-laser-scan-matcher//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
